Bug 1126056 - boto version 2.27 does not have support for latest cloudsearch api (cloudsearch2)
Summary: boto version 2.27 does not have support for latest cloudsearch api (cloudsear...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-boto
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 17:54 UTC by Jason Normand
Modified: 2014-10-01 04:24 UTC (History)
3 users (show)

Fixed In Version: python-boto-2.32.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 17:37:20 UTC


Attachments (Terms of Use)

Description Jason Normand 2014-08-01 17:54:03 UTC
Description of problem:
the current version of python-boto available in epel does not contain cloudsearch2.  Amazon no longer supports cloudsearch(1) for new accounts.

from the amazon documentation:
If you created Amazon CloudSearch domains prior to the launch of the 2013-01-01 API, you can choose which API version to use when you create a new domain. To create a 2013-01-01 domain through the console, select the 2013-01-01 version in the Create Domain Wizard. To create a 2013-01-01 domain with the command line tools, download and install the updated command line tools (cloud-search-tools-v2) and run the cs-create-domain command.

Note
The cs-create-domain command does not enable you to select the API version. To create and interact with 2013-01-01 domains, you must use the v2 tools. To create and interact with 2011-02-01 domains, you must use the v1 tools.

cloudsearch2 is available in python-boto 2.28 or higher 

Version-Release number of selected component (if applicable):
python-boto-2.27.0

How reproducible:
every time

Steps to Reproduce:
1. create new aws account
2. yum install python-boto
3. python
4. import boto.cloudsearch
5. cs = boto.cloudsearch.connect_to_region("us-east-1", aws_access_key_id='..', aws_secret_access_key='..')
6. cs.describe_domain()

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/boto/cloudsearch/layer1.py", line 417, in describe_domains
    list_marker='DomainStatusList')
  File "/usr/lib/python2.7/site-packages/boto/cloudsearch/layer1.py", line 98, in get_response
    raise self.ResponseError(response.status, response.reason, body)
boto.exception.BotoServerError: BotoServerError: 401 Unauthorized
<ErrorResponse xmlns="http://cloudsearch.amazonaws.com/doc/2011-02-01/">
  <Error>
    <Type>Sender</Type>
    <Code>NotAuthorized</Code>
  </Error>
  <RequestId>5e9dac67-19a4-11e4-8170-cf737719d6fb</RequestId>
</ErrorResponse>

Expected results:
listing of domain information

Additional info:
>>> import boto.cloudsearch2
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named cloudsearch2

also note older accounts that have previously used cloudsearch continue to work with boto.cloudsearch

Comment 1 Fedora Update System 2014-08-23 19:17:29 UTC
python-boto-2.32.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.32.1-1.fc20

Comment 2 Fedora Update System 2014-08-23 19:18:22 UTC
python-boto-2.32.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.32.1-1.fc19

Comment 3 Fedora Update System 2014-08-23 19:19:59 UTC
python-boto-2.32.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.32.1-1.el6

Comment 4 Fedora Update System 2014-08-24 15:49:25 UTC
Package python-boto-2.32.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-boto-2.32.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2289/python-boto-2.32.1-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-30 17:37:20 UTC
python-boto-2.32.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-01 04:20:51 UTC
python-boto-2.32.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-10-01 04:24:12 UTC
python-boto-2.32.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.